# EMToolKit

[![Documentation Status](https://readthedocs.org/projects/emtoolkit/badge/?version=latest)](https://emtoolkit.readthedocs.io/en/latest/?badge=latest)

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/jeplowman/EMToolKit/develop)

Welcome to the [EMToolKit](https://github.com/jeplowman/EMToolKit) repository, a suite of tools for computing Solar Differential Emission Measures (DEM) in Python. This toolkit is designed for photometric analysis and visualization, tailored for solar physics research and applications.

## Documentation

- **Official Documentation**: [ReadTheDocs](https://emtoolkit.readthedocs.io/en/latest/?badge=latest)
- **Documentation Mirror**: [GitHub Pages](https://jeplowman.github.io/EMToolKit/)

## Installation

For installation instructions, please refer to the [Installation Guide](INSTALL.md)

## Contributing

To contribute to EMToolKit, please see the [contribute](docs/source/contribute.md) file for details on how to get involved.

## License

This project is licensed under the BSD License. See the [LICENSE](LICENSE) file for more details.

## Troubleshooting

If you encounter any issues, please refer to the [issue tracker](https://github.com/jeplowman/EMToolKit/issues) or consult the [documentation](https://emtoolkit.readthedocs.io/en/latest/?badge=latest).
